"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = require("react");

var _themeUi = require("theme-ui");

var _propTypes = _interopRequireDefault(require("prop-types"));

var _formik = require("formik");

var _shortid = _interopRequireDefault(require("shortid"));

var _Input = _interopRequireDefault(require("../Input"));

var _Error = _interopRequireDefault(require("../Error"));

var _Hint = _interopRequireDefault(require("../Hint"));

var _Label = _interopRequireDefault(require("../Label"));

var _Group = require("../Group");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var InlineField = function InlineField(_ref) {
  var name = _ref.name,
      label = _ref.label,
      hint = _ref.hint,
      _ref$component = _ref.component,
      component = _ref$component === void 0 ? _Input["default"].Text : _ref$component,
      placeholder = _ref.placeholder,
      type = _ref.type,
      children = _ref.children,
      defaultChecked = _ref.defaultChecked,
      value = _ref.value,
      props = _objectWithoutProperties(_ref, ["name", "label", "hint", "component", "placeholder", "type", "children", "defaultChecked", "value"]);

  var _useContext = (0, _react.useContext)(_Group.GroupContext),
      inGroup = _useContext.inGroup;

  var uuid = inGroup ? "".concat(name, "-").concat(_shortid["default"].generate()) : name;
  return (0, _themeUi.jsx)(_themeUi.Flex, _extends({
    sx: {
      flexDirection: 'row',
      alignItems: 'center'
    },
    mb: 4
  }, props), (0, _themeUi.jsx)(_themeUi.Box, {
    as: "label",
    mb: 0,
    htmlFor: uuid,
    sx: {
      order: 1
    }
  }, (0, _themeUi.jsx)(_Label["default"], {
    as: _themeUi.Text
  }, label), hint && (0, _themeUi.jsx)(_Hint["default"], null, hint), !inGroup && (0, _themeUi.jsx)(_formik.ErrorMessage, {
    component: _Error["default"],
    name: name
  })), (0, _themeUi.jsx)(_themeUi.Box, {
    sx: {
      order: 0
    }
  }, (0, _themeUi.jsx)(_formik.Field, {
    component: component,
    id: uuid,
    name: name,
    placeholder: placeholder,
    type: type,
    defaultChecked: defaultChecked,
    value: value
  }, children)));
};

var StackedField = function StackedField(_ref2) {
  var name = _ref2.name,
      label = _ref2.label,
      hint = _ref2.hint,
      _ref2$component = _ref2.component,
      component = _ref2$component === void 0 ? _Input["default"].Text : _ref2$component,
      placeholder = _ref2.placeholder,
      type = _ref2.type,
      children = _ref2.children,
      defaultChecked = _ref2.defaultChecked,
      value = _ref2.value,
      props = _objectWithoutProperties(_ref2, ["name", "label", "hint", "component", "placeholder", "type", "children", "defaultChecked", "value"]);

  return (0, _themeUi.jsx)(_themeUi.Flex, _extends({
    sx: {
      flexDirection: 'column'
    },
    mb: 4
  }, props), (0, _themeUi.jsx)(_themeUi.Box, {
    as: "label",
    mb: 2,
    htmlFor: name,
    sx: {
      order: 0
    }
  }, (0, _themeUi.jsx)(_Label["default"], {
    as: _themeUi.Text
  }, label), hint && (0, _themeUi.jsx)(_Hint["default"], null, hint)), (0, _themeUi.jsx)(_themeUi.Box, {
    sx: {
      order: 1
    }
  }, (0, _themeUi.jsx)(_formik.Field, {
    component: component,
    id: name,
    name: name,
    placeholder: placeholder,
    type: type,
    defaultChecked: defaultChecked,
    value: value
  }, children)));
};

var Field = function Field(_ref3) {
  var _ref3$inline = _ref3.inline,
      inline = _ref3$inline === void 0 ? false : _ref3$inline,
      props = _objectWithoutProperties(_ref3, ["inline"]);

  return inline ? (0, _themeUi.jsx)(InlineField, props) : (0, _themeUi.jsx)(StackedField, props);
};

Field.propTypes = {
  component: _propTypes["default"].any,
  hint: _propTypes["default"].string,
  label: _propTypes["default"].string.isRequired,
  name: _propTypes["default"].string,
  placeholder: _propTypes["default"].string,
  type: _propTypes["default"].string,
  children: _propTypes["default"].node,
  inline: _propTypes["default"].bool,
  defaultChecked: _propTypes["default"].bool,
  value: _propTypes["default"].string
};
InlineField.propTypes = Field.PropTypes;
StackedField.propTypes = Field.PropTypes;
var _default = Field;
exports["default"] = _default;