"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.GroupContext = void 0;

var _react = require("react");

var _propTypes = _interopRequireDefault(require("prop-types"));

var _themeUi = require("theme-ui");

var _formik = require("formik");

var _Label = _interopRequireDefault(require("../Label"));

var _Hint = _interopRequireDefault(require("../Hint"));

var _Error = _interopRequireDefault(require("../Error"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var GroupContext = (0, _react.createContext)({
  inGroup: false,
  name: ''
});
exports.GroupContext = GroupContext;

var Group = function Group(_ref) {
  var children = _ref.children,
      name = _ref.name,
      label = _ref.label,
      hint = _ref.hint,
      _ref$variant = _ref.variant,
      variant = _ref$variant === void 0 ? 'default' : _ref$variant,
      _ref$inline = _ref.inline,
      inline = _ref$inline === void 0 ? false : _ref$inline,
      props = _objectWithoutProperties(_ref, ["children", "name", "label", "hint", "variant", "inline"]);

  return (0, _themeUi.jsx)(GroupContext.Provider, {
    value: {
      inGroup: true,
      name: name
    }
  }, (0, _themeUi.jsx)(_themeUi.Flex, _extends({
    as: "fieldset",
    id: name,
    sx: {
      flexDirection: 'column',
      variant: "forms.group.".concat(variant)
    }
  }, props), (0, _themeUi.jsx)(_themeUi.Box, {
    mb: 3
  }, label && (0, _themeUi.jsx)(_Label["default"], {
    as: "legend",
    p: 0
  }, label), hint && (0, _themeUi.jsx)(_Hint["default"], null, hint), (0, _themeUi.jsx)(_formik.ErrorMessage, {
    component: _Error["default"],
    name: name
  })), (0, _themeUi.jsx)(_themeUi.Flex, {
    sx: {
      flexDirection: inline ? ['column'] : ['column', 'row']
    }
  }, children)));
};

Group.propTypes = {
  children: _propTypes["default"].node,
  name: _propTypes["default"].string.isRequired,
  label: _propTypes["default"].string,
  hint: _propTypes["default"].string,
  inline: _propTypes["default"].bool,
  variant: _propTypes["default"].string
};
var _default = Group;
exports["default"] = _default;