"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _themeUi = require("theme-ui");

var _react = require("react");

var _propTypes = _interopRequireDefault(require("prop-types"));

var _map2 = _interopRequireDefault(require("lodash/map"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

/** @jsx jsx */
var Summary = function Summary(_ref) {
  var errors = _ref.errors,
      _ref$variant = _ref.variant,
      variant = _ref$variant === void 0 ? 'default' : _ref$variant,
      _ref$title = _ref.title,
      title = _ref$title === void 0 ? "Oops, there's a problem" : _ref$title;
  var element = (0, _react.useRef)(null);
  var id = 'ErrorSummary';
  (0, _react.useEffect)(function () {
    element.current && element.current.focus();
  }, []);

  var handleOnClick = function handleOnClick(e) {
    e.preventDefault();
    var href = e.target.href;
    var id = href.substring(href.indexOf('#') + 1, href.length);
    document.getElementById(id).focus();
  };

  return (0, _themeUi.jsx)(_themeUi.Box, {
    ref: element,
    mb: 4,
    p: 3,
    role: "group",
    tabIndex: "-1",
    "aria-labelledby": "ErrorSummary-Heading-".concat(id),
    sx: {
      variant: "forms.summary.".concat(variant)
    }
  }, title && (0, _themeUi.jsx)(_themeUi.Text, {
    as: "h4",
    id: "ErrorSummary-Heading-".concat(id),
    mb: 2
  }, title), (0, _themeUi.jsx)("ul", {
    sx: {
      m: 0,
      p: 0,
      listStyleType: 'none'
    }
  }, (0, _map2["default"])(errors, function (error, key) {
    return (0, _themeUi.jsx)("li", {
      key: key
    }, (0, _themeUi.jsx)(_themeUi.Link, {
      href: "#".concat(key),
      onClick: handleOnClick,
      sx: {
        color: 'muted'
      }
    }, error));
  })));
};

Summary.propTypes = {
  errors: _propTypes["default"].object.isRequired,
  variant: _propTypes["default"].string,
  title: _propTypes["default"].string
};
var _default = Summary;
exports["default"] = _default;