"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _themeUi = require("theme-ui");

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Portal = _interopRequireDefault(require("../Portal"));

var _Overlay = _interopRequireDefault(require("../Overlay"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

/** @jsx jsx */
var propTypes = {
  isOpen: _propTypes["default"].bool,
  onClose: _propTypes["default"].func.isRequired,
  children: _propTypes["default"].node,
  closeOnClickOutside: _propTypes["default"].bool,
  overlay: _propTypes["default"].bool
};

var Layer = function Layer(_ref) {
  var _ref$isOpen = _ref.isOpen,
      isOpen = _ref$isOpen === void 0 ? false : _ref$isOpen,
      onClose = _ref.onClose,
      children = _ref.children,
      _ref$closeOnClickOuts = _ref.closeOnClickOutside,
      closeOnClickOutside = _ref$closeOnClickOuts === void 0 ? true : _ref$closeOnClickOuts,
      _ref$overlay = _ref.overlay,
      overlay = _ref$overlay === void 0 ? true : _ref$overlay;
  return isOpen ? (0, _themeUi.jsx)(_Portal["default"], {
    onClose: onClose
  }, (0, _themeUi.jsx)(_themeUi.Box, {
    sx: {
      top: 0,
      bottom: 0,
      left: 0,
      right: 0,
      position: 'fixed',
      zIndex: 999
    }
  }, (0, _themeUi.jsx)(_Overlay["default"], {
    onClick: function onClick() {
      return closeOnClickOutside && onClose();
    },
    overlay: overlay
  }), children)) : null;
};

Layer.propTypes = propTypes;
var _default = Layer;
exports["default"] = _default;