"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _themeUi = require("theme-ui");

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactPopper = require("react-popper");

var _Content = _interopRequireDefault(require("./Content"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

/** @jsx jsx */
var Popover = function Popover(_ref) {
  var isOpen = _ref.isOpen,
      onClose = _ref.onClose,
      onOpen = _ref.onOpen,
      children = _ref.children,
      _ref$closeOnClick = _ref.closeOnClick,
      closeOnClick = _ref$closeOnClick === void 0 ? false : _ref$closeOnClick,
      _ref$closeOnClickOuts = _ref.closeOnClickOutside,
      closeOnClickOutside = _ref$closeOnClickOuts === void 0 ? true : _ref$closeOnClickOuts,
      _ref$closeOnEsc = _ref.closeOnEsc,
      closeOnEsc = _ref$closeOnEsc === void 0 ? true : _ref$closeOnEsc;

  var handleOnTargetClick = function handleOnTargetClick() {
    return isOpen ? onClose() : onOpen();
  };

  return (0, _themeUi.jsx)(_reactPopper.Manager, null, (0, _themeUi.jsx)(_reactPopper.Reference, null, function (_ref2) {
    var ref = _ref2.ref;
    return (0, _themeUi.jsx)(_themeUi.Button, {
      onClick: handleOnTargetClick,
      ref: ref,
      variant: "plain"
    }, children[0]);
  }), (0, _themeUi.jsx)(_reactPopper.Popper, {
    placement: "bottom",
    positionFixed: true
  }, function (_ref3) {
    var ref = _ref3.ref,
        style = _ref3.style,
        placement = _ref3.placement,
        arrowProps = _ref3.arrowProps,
        scheduleUpdate = _ref3.scheduleUpdate;
    return (0, _themeUi.jsx)(_themeUi.Box, {
      "data-placement": placement,
      ref: ref,
      sx: style
    }, isOpen && (0, _themeUi.jsx)(_Content["default"], {
      update: scheduleUpdate,
      onClose: onClose,
      closeOnClick: closeOnClick,
      closeOnClickOutside: closeOnClickOutside,
      closeOnEsc: closeOnEsc
    }, children[1]), (0, _themeUi.jsx)("div", {
      ref: arrowProps.ref,
      style: arrowProps.style
    }));
  }));
};

Popover.propTypes = {
  isOpen: _propTypes["default"].bool,
  onClose: _propTypes["default"].func,
  onOpen: _propTypes["default"].func,
  children: _propTypes["default"].node.isRequired,
  placement: _propTypes["default"].oneOf(['top', 'right', 'bottom', 'left']),
  closeOnClick: _propTypes["default"].bool,
  closeOnClickOutside: _propTypes["default"].bool,
  closeOnEsc: _propTypes["default"].bool
};
var _default = Popover;
exports["default"] = _default;