"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _presets = require("@theme-ui/presets");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var overlay = {
  top: 0,
  bottom: 0,
  left: 0,
  right: 0,
  position: 'fixed',
  zIndex: '40'
};
var modal = {
  position: 'relative',
  p: 3,
  zIndex: '50'
};
var input = {
  borderColor: 'gray',
  borderRadius: 0,
  fontFamily: 'inherit',
  ':focus': {
    outline: 'none',
    borderColor: 'primary'
  },
  ':invalid': {
    outline: 'none',
    borderColor: 'danger',
    boxShadow: 'none'
  }
};

var _default = _objectSpread({}, _presets.tailwind, {
  useCustomProperties: true,
  colors: _objectSpread({}, _presets.tailwind.colors, {
    background: 'transparent',
    text: 'rgba(0, 0, 0, 0.84)',
    primary: '#1FB6FF',
    secondary: '#3300CC',
    accent: '#C0CCDA',
    highlight: '',
    muted: '#F6F6F6',
    danger: '#FF4949',
    gray: '#C0CCDA'
  }),
  sizes: _objectSpread({}, _presets.tailwind.sizes, {
    container: 1600
  }),
  text: {
    error: {
      color: 'danger'
    },
    hint: {
      fontSize: 0,
      color: 'text'
    }
  },
  cards: {
    primary: {
      padding: 2,
      boxShadow: 'default'
    }
  },
  modals: {
    "default": _objectSpread({}, modal, {
      maxWidth: 600,
      width: ['full', '2/3'],
      backgroundColor: '#fff',
      mx: 'auto',
      my: [0, '5%']
    }),
    fullscreen: _objectSpread({}, modal, {
      background: '#fff',
      minWidth: 'screenwidth',
      minHeight: 'screenHeight'
    })
  },
  overlays: {
    "default": _objectSpread({}, overlay, {
      backgroundColor: 'rgba(0,0,0,0.6)'
    }),
    hidden: _objectSpread({}, overlay, {
      backgroundColor: 'transparent'
    })
  },
  buttons: {
    primary: _objectSpread({}, _presets.tailwind.buttons.primary, {
      cursor: 'pointer',
      ':disabled': {
        opacity: 0.4,
        cursor: 'default',
        pointerEvents: 'none'
      }
    }),
    plain: {
      backgroundColor: 'transparent',
      color: 'inherit',
      p: 0,
      m: 0,
      cursor: 'pointer'
    }
  },
  images: {
    avatar: {
      width: '48px',
      height: '48px',
      borderRadius: 99999
    }
  },
  forms: {
    input: _objectSpread({}, input),
    textarea: _objectSpread({}, input),
    select: _objectSpread({}, input),
    label: {
      fontWeight: 'bold'
    },
    group: {
      "default": {
        padding: 0,
        border: 'none'
      }
    },
    summary: {
      "default": {
        backgroundColor: 'danger',
        color: 'muted'
      }
    }
  },
  styles: _objectSpread({}, _presets.tailwind.styles, {
    root: _objectSpread({}, _presets.tailwind.styles.root, {
      color: "text",
      backgroundColor: "background"
    }),
    p: {
      fontSize: [1, 2],
      letterSpacing: "-0.003em",
      lineHeight: "body",
      '--baseline-multiplier': 0.179,
      '--x-height-multiplier': 0.35,
      color: "text"
    },
    Container: {
      px: [3, 4],
      maxWidth: '1600px'
    }
  })
});

exports["default"] = _default;