const path = require('path')
const fse = require('fs-extra')
const glob = require('glob')

const outDir = 'dist'

// async function copyFile(file) {
//   const buildPath = path.resolve(
//     __dirname,
//     `../${outDir}/`,
//     path.basename(file),
//   )
//   await fse.copy(file, buildPath)
// }

function syncFiles(fileTypes, from, to) {
  const files = glob.sync(`**/*.{${fileTypes}}`, { cwd: from })
  const cmds = files.map(file =>
    fse.copy(path.resolve(from, file), path.resolve(to, file)),
  )
  return Promise.all(cmds)
}

// async function createPackageFile() {
//   const packageData = await fse.readFile(
//     path.resolve(__dirname, '../package.json'),
//     'utf8',
//   )
//   // eslint-disable-next-line
//   const { scripts, devDependencies, ...packageDataRest } = JSON.parse(
//     packageData,
//   )
//   const newPackageData = {
//     ...packageDataRest,
//   }
//   const buildPath = path.resolve(__dirname, `../${outDir}/package.json`)
//   await fse.writeFile(
//     buildPath,
//     JSON.stringify(newPackageData, null, 2),
//     'utf8',
//   )
// }

async function run() {
  // await Promise.all(['./README.md'].map(file => copyFile(file)))

  // await createPackageFile()

  const from = path.resolve(__dirname, '../src')

  const fileTypes = 'svg,png,jpg,eot,woff,woff2,ttf'

  await Promise.all([
    syncFiles(fileTypes, from, path.resolve(__dirname, `../${outDir}`)),
  ])
}

run()
