import React, { useEffect } from 'react'
import PropTypes from 'prop-types'
import { ThemeProvider as ThemeUIProvider, merge } from 'theme-ui'

import { createLayerPortalNode } from '../modules/Layer/utilities'

import { sul } from '../themes'

const ThemeProvider = ({ children, theme = {} }) => {
  useEffect(() => {
    createLayerPortalNode()
  }, [])

  const defaultTheme = merge(sul, theme)

  return <ThemeUIProvider theme={defaultTheme}>{children}</ThemeUIProvider>
}

ThemeProvider.propTypes = {
  children: PropTypes.node,
  theme: PropTypes.object,
}

export default ThemeProvider
