/** @jsx jsx */
import { jsx, Input, Box, Button } from 'theme-ui'
import { useState } from 'react'
import PropTypes from 'prop-types'

import Icon from '../../../Icon'

const Password = ({ field, ...props }) => {
  const [showPassword, setShowPassword] = useState(false)

  const type = showPassword ? 'text' : 'password'
  const icon = showPassword ? 'eye' : 'eye-off'

  const handleOnShowPassword = () => setShowPassword(!showPassword)

  return (
    <Box sx={{ position: 'relative' }}>
      <Input
        {...props}
        {...field}
        type={type}
        autocapitalize="off"
        autocorrect="off"
      />
      <Button
        sx={{
          position: 'absolute',
          top: '50%',
          right: '16px',
          transform: 'translateY(-50%)',
          fontSize: '20px',
          p: 0,
          m: 0,
          variant: 'buttons.plain',
        }}
        onClick={handleOnShowPassword}
      >
        <Icon name={icon} />
      </Button>
    </Box>
  )
}

Password.propTypes = {
  field: PropTypes.object,
}

export default Password
