/** @jsx jsx */
import { jsx } from 'theme-ui'
import PropTypes from 'prop-types'
import * as Base from 'react-feather'
import _ from 'lodash'

const Icon = ({ name, size = '1em', ...props }) => {
  const format = _.chain(name)
    .camelCase()
    .upperFirst()
    .value()
  const IconComponent = Base[format]
  return (
    <IconComponent
      size={size}
      sx={{
        position: 'relative',
        top: '0.125em',
      }}
      {...props}
    />
  )
}

Icon.propTypes = {
  name: PropTypes.string.isRequired,
  size: PropTypes.string,
}

export default Icon
