import React, { useState, useEffect } from 'react'
import { createPortal } from 'react-dom'
import PropTypes from 'prop-types'

import { useKeys } from '../../../utilities/keyboard'

const propTypes = {
  children: PropTypes.node,
  onClose: PropTypes.func.isRequired,
}

const Portal = ({ children, onClose }) => {
  const [portal, setPortal] = useState(undefined)
  const { isEscapePressed } = useKeys()

  useEffect(() => {
    const LayerPortalNode = document.getElementById('LayerPortalNode')
    const portal = createPortal(children, LayerPortalNode)
    setPortal(portal)
  }, [])

  if (isEscapePressed) {
    onClose()
  }

  return <>{portal}</>
}

Portal.propTypes = propTypes

export default Portal
