import React from 'react'
import PropTypes from 'prop-types'

const getCurrentYear = () => new Date().getFullYear().toString()

const propTypes = {
  end: PropTypes.string,
  org: PropTypes.string.isRequired,
  start: PropTypes.string,
}

const Copyright = ({ start, end = getCurrentYear(), org }) => (
  <>
    &copy; {start} {start && end && '-'} {end} {org}
  </>
)

Copyright.propTypes = propTypes

export default Copyright
