/** @jsx jsx */
import { jsx, Link } from 'theme-ui'
import PropTypes from 'prop-types'

const MailTo = ({ email, ...props }) => {
  const handleOnClick = e => {
    e.preventDefault()
    window && window.location.assign(`mailto:${email}`)
  }
  return (
    <Link
      {...props}
      href="mailto:obfuscated"
      target="_blank"
      onClick={handleOnClick}
    />
  )
}

MailTo.propTypes = {
  email: PropTypes.string,
}

export default MailTo
