/** @jsx jsx */
import { jsx } from 'theme-ui'
import PropTypes from 'prop-types'
import { Box } from 'theme-ui'

import Icon from '../../elements/Icon'
import Link from '../../elements/Link'

const CloseIcon = ({ onClose }) =>
  onClose ? (
    <Box sx={{ position: 'absolute', top: '3px', right: '3px' }}>
      <Link onClick={onClose} sx={{ cursor: 'pointer', color: 'inherit' }}>
        <Icon name="x" size="1.5em" />
      </Link>
    </Box>
  ) : null

CloseIcon.propTypes = {
  onClose: PropTypes.func,
}

export default CloseIcon
