/** @jsx jsx */
import { jsx } from 'theme-ui'
import PropTypes from 'prop-types'
import { Box } from 'theme-ui'

import Layer from '../../modules/Layer'

import CloseIcon from './CloseIcon'

const Modal = ({
  children,
  variant = 'default',
  showCloseIcon = true,
  ...props
}) => {
  return (
    <Layer {...props}>
      <Box sx={{ variant: `modals.${variant}` }}>
        {showCloseIcon && <CloseIcon onClose={props.onClose} />}
        {children}
      </Box>
    </Layer>
  )
}

Modal.propTypes = {
  children: PropTypes.node,
  variant: PropTypes.string,
  showCloseIcon: PropTypes.bool,
  onClose: PropTypes.func,
}

export default Modal
