import React, { useState } from 'react'

import { Layer, Container, Button } from '../../src'

const LayerExample = () => {
  const [isOpen, setIsOpen] = useState(false)
  return (
    <Container>
      <Button onClick={() => setIsOpen(!isOpen)}>Open</Button>
      <Layer isOpen={isOpen} onClose={() => setIsOpen(false)}>
        Some Children
      </Layer>
    </Container>
  )
}

export default {
  title: 'Modules/Layer',
  component: Layer,
}

export const Default = () => <LayerExample />
