import React, { useState } from 'react'

import { Popover, Card } from '../../src'

const PopoverExample = () => {
  const [isOpen, setIsOpen] = useState(false)

  const handleOnClose = () => setIsOpen(false)
  const handleOnOpen = () => setIsOpen(true)

  return (
    <Popover
      isOpen={isOpen}
      onClose={handleOnClose}
      onOpen={handleOnOpen}
      closeOnClick={true}
    >
      <div>Open Me</div>
      <Card>Hello World!</Card>
    </Popover>
  )
}

export default {
  title: 'Modules/Popover',
  component: Popover,
}

export const Default = () => <PopoverExample />
