import React, { useState } from 'react'
import PropTypes from 'prop-types'

import { Modal, Container, Button } from '../../src'

const ModalExample = ({ variant }) => {
  const [isOpen, setIsOpen] = useState(false)

  const label = variant === 'fullscreen' ? 'Open Fullscreen' : 'Open'

  return (
    <Container>
      <Button onClick={() => setIsOpen(!isOpen)}>{label}</Button>
      <Modal isOpen={isOpen} onClose={() => setIsOpen(false)} variant={variant}>
        Some Children
      </Modal>
    </Container>
  )
}

ModalExample.propTypes = {
  variant: PropTypes.string,
}

export default {
  title: 'Patterns/Modal',
  component: Modal,
}

export const Default = () => <ModalExample />

export const Fullscreen = () => <ModalExample variant="fullscreen" />
