import React from 'react'
import PropTypes from 'prop-types'
import { render as rtl } from '@testing-library/react'

const render = (ui, { ...options }) => {
  const Wrapper = ({ children }) => {
    return <div data-testid="provider">{children}</div>
  }

  Wrapper.propTypes = {
    children: PropTypes.node,
  }
  return rtl(ui, { wrapper: Wrapper, ...options })
}

export * from '@testing-library/react'
export { render }
